#ifndef ALU1_HPP
#define ALU1_HPP

///////////////////////////////////////////////////////////////////////////////
//
// $Header: $
//
// NAME: ALU1
//
// BASE CLASSES: None.
//
// PURPOSE: A simple 1-bit ALU.
//
// AUTHOR: Nicolas MOREAU
//
//  COPYRIGHT NOTICE:
//
// The KOYOTE Project
// Copyright (C) 2003-2004 Nicolas MOREAU & Brice DONVAL
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//  REVISION HISTORY:
// $Log: $
//
///////////////////////////////////////////////////////////////////////////////

//Includes

#include "Core.hpp"

//Constants

// AND  0x00
// OR   0x01
// ADD  0x02
// SLT  0x03
// NOR  0x04
// XOR  0x05
// ADDU 0x06
// SLTU 0x07

//Types and classes
class ALU1
{
public:
  static byte CarryOut(byte,byte,byte,byte);
  static byte Result(byte,byte,byte,byte,byte,byte);
  static byte Set(byte,byte,byte,byte,byte);
};

#endif // ALU1_HPP
