#ifndef ALU32_HPP
#define ALU32_HPP

///////////////////////////////////////////////////////////////////////////////
//
// $Header: $
//
// NAME: ALU32
//
// BASE CLASSES: None.
//
// PURPOSE: A simple 32-bits ALU.
//
// AUTHOR: Nicolas MOREAU
//
//  COPYRIGHT NOTICE:
//
// The KOYOTE Project
// Copyright (C) 2003-2004 Nicolas MOREAU & Brice DONVAL
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//  REVISION HISTORY:
// $Log: $
//
///////////////////////////////////////////////////////////////////////////////

//Includes

#include "ALU1.hpp"

//Constants

// AND  0x00
// OR   0x01
// ADD  0x02
// NOR  0x04
// XOR  0x05
// ADDU 0x06
// SUB  0x0A
// SLT  0x0B
// SUBU 0x0E
// SLTU 0x0F

//Types and classes
class ALU32
{
public:
  static word Result(word,word,byte);
  static byte Zero(word,word,byte);
};

#endif // ALU32_HPP
