#ifndef ALLOCTABLE_CPP
#define ALLOCTABLE_CPP

///////////////////////////////////////////////////////////////////////////////
//
// $Header: $
//
// NAME: AllocTable
//
// BASE CLASSES: None.
//
// PURPOSE: This class describes a simple (Address <-> Content) Memory Pair.
//
// AUTHOR: Nicolas MOREAU
//
//  COPYRIGHT NOTICE:
//
// The KOYOTE Project
// Copyright (C) 2003-2004 Nicolas MOREAU & Brice DONVAL
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//  REVISION HISTORY:
// $Log: $
//
///////////////////////////////////////////////////////////////////////////////

//Includes

#include "AllocTable.hpp"
#include <cstdlib>

//Constants

//Externals

//Types and classes

//Member Functions

///////////////////////////////////////////////////////////////////////////////
//
// NAME: AllocTable
//
// DESCRIPTION: Constructor for AllocTable objects.
//
// PARAMETERS: Simulated Memory Address (word) of the object content.
//
// RETURNS: N/A.
//
// SIDE EFFECTS: None.
//
///////////////////////////////////////////////////////////////////////////////
AllocTable::AllocTable(word wAddress)
{
  m_pNext = (AllocTable*)0;
  m_wAddress = wAddress;
  m_wContent = rand(); // Random initialization of memory
}

///////////////////////////////////////////////////////////////////////////////
//
// NAME: ~AllocTable
//
// DESCRIPTION: Destructor for AllocTable objects.
//
// PARAMETERS: None.
//
// RETURNS: N/A.
//
// SIDE EFFECTS: None.
//
///////////////////////////////////////////////////////////////////////////////
AllocTable::~AllocTable(void)
{
  Reset();
}

///////////////////////////////////////////////////////////////////////////////
//
// NAME: Reset
//
// DESCRIPTION: This public method flushes the allocation table.
//
// PARAMETERS: None.
//
// RETURNS: None.
//
// SIDE EFFECTS: None.
//
///////////////////////////////////////////////////////////////////////////////
void
AllocTable::Reset(void)
{
  if(m_pNext != (AllocTable*)0) // This is not the last list element
    {
      delete m_pNext;
      m_pNext = (AllocTable*)0;
    }
}

#endif // ALLOCTABLE_CPP
