#ifndef INTERFACE_HPP
#define INTERFACE_HPP

///////////////////////////////////////////////////////////////////////////////
//
// $Header: $
//
// NAME: Interface
//
// BASE CLASSES: N/A.
//
// PURPOSE: Graphical User Interface.
//
// AUTHOR: Brice DONVAL
//
//  COPYRIGHT NOTICE:
//
// The KOYOTE Project
// Copyright (C) 2003-2004 Nicolas MOREAU & Brice DONVAL
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//  REVISION HISTORY:
// $Log: $
//
///////////////////////////////////////////////////////////////////////////////

//Includes

#include <gtk/gtk.h>
#include <cstdlib>

//Constants

#define MAX_MENU_ITEMS 8

/* Widgets */
extern GtkWidget* pWindow;
extern GtkWidget* pTable;
extern GtkWidget* pButton[5];
extern GtkWidget* pLabel;
extern GtkWidget* pMenuBar;
extern GtkItemFactory* pItemFactory;
extern GtkAccelGroup* pAccel;
extern GtkWidget* pDrawingArea;
extern GdkPixmap* pPixmap;
extern GdkPixmap* pPixmapTmp;
extern GdkColor Color;
extern GdkColormap* ColorMap;
extern GdkGC* gc;
extern gchar* sUtf8;

/* Menu Items */
extern GtkItemFactoryEntry MenuItem[MAX_MENU_ITEMS];

//Types and classes

gint ExposeEvent(GtkWidget*,GdkEventExpose*);
gint ConfigureEvent(GtkWidget*,GdkEventConfigure*);
//gint MotionNotifyEvent(GtkWidget*,GdkEventMotion*);
//gint ButtonPressEvent(GtkWidget*,GdkEventButton*);

void OnLoad(GtkWidget*);
void OnNext(GtkWidget*);
void OnReset(GtkWidget*);
void OnError(GtkWidget*);
void OnQuit(GtkWidget*);
void OnDestroy(GtkWidget*);
void OnAbout(GtkWidget*);

#endif // INTERFACE_HPP
